import React, { Component } from 'react'
import TextArea from './ZTextArea'

import { Form, Input, DatePicker, TimePicker, Row, Col, Button, Icon, Select } from 'antd';
import { InputSize, Currency, FormatAmount } from "./Utils"

const FormItem = Form.Item;
const Option = Select.Option

export default class T53J extends Component {

    name = '53J'
    desp = "Delivery Agent"

    pattern = "5*40x"
    tno = -1


    keys = [1]
    onChange = (index, value) => {
        let obj = {};
        if (!value)
            value = ""

        let objtemp = this.props.value

        objtemp = objtemp && objtemp.length ? objtemp[0] : {}

        objtemp["s" + index] = value;

        this.keys.forEach(i => {
            obj['s' + i] = objtemp['s' + i]
        });


        let mval = `${obj.s1}`

        this.props.onValue([obj, mval])
    }

    render() {
        let value = this.props.value

        let mval = value && value.length ? value[1] : ''
        let errmsg = value && value.length == 3 ? value[2] : {}

        value = value && value.length ? value[0] : {}


        return (
            <Row>
                <Col span={24}>
                    <FormItem
                        label="Party Identification"
                        required={this.props.status == 'M' || mval ? 'required' : null}
                        help={errmsg.s1}
                        validateStatus={errmsg.s1 ? 'error' : null}
                    >

                        <TextArea type="textarea" maxLength={5*40} cols={35} rows={5} style={{ imeMode: 'disabled' }} placeholder="Party Identification" value={value.s1} onChange={(e) => this.onChange(1, e.target.value)} />
                    </FormItem>
                </Col>
            </Row>
        )
    }
}